Package opennlp.tools.namefind

## Class DictionaryNameFinder

- java.lang.Object
- - opennlp.tools.namefind.DictionaryNameFinder

- All Implemented Interfaces:
    `TokenNameFinder`

      public class DictionaryNameFinder
      extends Object
      implements TokenNameFinder

  This is a `Dictionary` based `name finder`. It scans text for names inside a provided dictionary.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DictionaryNameFinder​(Dictionary dictionary)` | Initializes a `DictionaryNameFinder` with the provided `Dictionary` and `DEFAULT_TYPE`.
    `DictionaryNameFinder​(Dictionary dictionary, String type)` | Initializes a `DictionaryNameFinder` with the provided `Dictionary` and a `type`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearAdaptiveData()` | Forgets all adaptive data which was collected during previous calls to one of the find methods.
    `Span[]` | `find​(String[] textTokenized)` | Generates name tags for the given sequence, typically a sentence, returning `token spans` for any identified names.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DictionaryNameFinder

          public DictionaryNameFinder​(Dictionary dictionary,
                                      String type)

      Initializes a `DictionaryNameFinder` with the provided `Dictionary` and a `type`.
      Parameters:
        `dictionary` - The `Dictionary` to use. Must not be `null`.
        `type` - the name type used for the produced spans. Must not be `null`.

    - #### DictionaryNameFinder

          public DictionaryNameFinder​(Dictionary dictionary)

      Initializes a `DictionaryNameFinder` with the provided `Dictionary` and `DEFAULT_TYPE`.
      Parameters:
        `dictionary` - The `Dictionary` to use. Must not be `null`.

  - ### Method Detail

    - #### find

          public Span[] find​(String[] textTokenized)

      Description copied from interface: `TokenNameFinder`
      Generates name tags for the given sequence, typically a sentence, returning `token spans` for any identified names.
      Specified by:
        `find` in interface `TokenNameFinder`
      Parameters:
        `textTokenized` - An array of the tokens or words of the sequence, typically a sentence.
      Returns:
        An array of `spans` for each of the names identified.

    - #### clearAdaptiveData

          public void clearAdaptiveData()

      Description copied from interface: `TokenNameFinder`
      Forgets all adaptive data which was collected during previous calls to one of the find methods.

      Note: This method should typically be called at the end of the processing of a document.

      Specified by:
        `clearAdaptiveData` in interface `TokenNameFinder`